petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscViewerHDF5HasAttribute

Check whether a scalar attribute exists

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5HasAttribute(PetscViewer viewer, const char parent[], const char name[], PetscBool *has)

### Input Parameters

| viewer | - The HDF5 viewer
| parent | - The parent name
| name | - The attribute name

### Output Parameter

has -Flag for attribute existence

### See Also

PetscViewerHDF5Open(), PetscViewerHDF5WriteAttribute(), PetscViewerHDF5ReadAttribute()

Level:advanced
Location:src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages